package eventmodels

import "github.com/mhaya/game/game_cluster/internal/data"

// 用户奖励事件
type UserRewardEventContent struct {
	UserBasic
	EventBasic
	Source    int               `json:"source"`
	SourceId  int               `json:"sourceId"`
	AddReward []data.ItemReward `json:"AddReward"`
	SubReward []data.ItemReward `json:"SubReward"`
	Desc      interface{}       `json:"desc"`
}

func (e *UserRewardEventContent) EventName() string {
	return "UserReward"
}
